## clonezilla 2.3.7-60

=== debian/changelog ===
clonezilla (2.3.7-60) unstable; urgency=low

  * Program create-gparted-live was modified to put the correct background file for isolinux.
  * Bug fixed: "ocs-live-dev -s -d /dev/sda1" failed to copy files to the ouput dev (/dev/sda1), it was using files linked. Thanks to Asou Y.S. Chang for this bug report.
  * An option -d|--dark-bg was added for ocs-live-boot-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Jan 2011 10:36:50 +0800

clonezilla (2.3.7-59) unstable; urgency=low

  * Gsplash.png was updated. Thanks to Linda Temple and Curtis Gedak.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Jan 2011 22:30:46 +0800

## clonezilla 2.3.7-64

=== debian/changelog ===
clonezilla (2.3.7-64) unstable; urgency=low

  * An example IP address instead of real IP address got from the machine was used in the drbl-live-hook, because the real one is useless and it will be automatically updated when DRBL live is booted on the server machine.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 16 Jan 2011 09:50:13 +0800

clonezilla (2.3.7-63) unstable; urgency=low

  * Bug fixed: start-stop-daemon in DRBL live was not real one.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Jan 2011 20:24:01 +0800

clonezilla (2.3.7-62) unstable; urgency=low

  * An option -s|--server-ip was added to drbl-ocs-live-prep.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 12 Jan 2011 14:19:30 +0800

clonezilla (2.3.7-61) unstable; urgency=low

  * Use Clonezilla live as the clonezilla-related OS in drbl live.
  * Bug fixed: drbl-ocs-live-prep failed to remove the tmp dir.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Jan 2011 15:01:20 +0800

## clonezilla 2.3.7-65

=== debian/changelog ===
clonezilla (2.3.7-65) unstable; urgency=low

  * A new boot parameter "ocs_postrun" was added for Clonezilla live and DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Jan 2011 08:47:37 +0800

## clonezilla 2.3.7-69

=== Makefile ===
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
prefix = /${DESTDIR}
maindir = /opt/drbl/

all:
	@echo "No need to compile..."

install:
	install -d ${prefix}/$(maindir)/{bin,sbin,conf,samples}
	install -d ${prefix}/$(maindir)/setup/files/{ocs,gparted}
	install scripts/* ${prefix}/$(maindir)/sbin/
	install bin/* ${prefix}/$(maindir)/bin/
	cp -ar files/ocs/* ${prefix}/$(maindir)/setup/files/ocs/
	cp -ar files/gparted/* ${prefix}/$(maindir)/setup/files/gparted/
	install -m 644 conf/drbl-ocs.conf ${prefix}/$(maindir)/conf/
	install samples/* ${prefix}/$(maindir)/samples

=== debian/changelog ===
clonezilla (2.3.7-69) unstable; urgency=low

  * The virtual block device (/dev/vd[a-z]) support was added. Thanks to Cyril Roos for providing patch.
  * Bug fixed: failing to use ntfs-3g to mount ntfs file system in ocs-chnthn.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Feb 2011 20:40:00 +0800

clonezilla (2.3.7-68) unstable; urgency=low

  * Option "noatime" and "nodiratime" are used when mounting file system in prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 Feb 2011 21:44:41 +0800

clonezilla (2.3.7-67) unstable; urgency=low

  * If error occurs, program ocs-onthefly will show errors in red and wait for key input then continue.
  * The previous generated iso will be cleaned before a new one is created again in ocs-iso.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 04 Feb 2011 12:55:55 +0800

clonezilla (2.3.7-66) unstable; urgency=low

  * Use "Default-Stop 0 6" for stop-ocs-live and start-drbl-live services.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 29 Jan 2011 13:50:04 +0800

## clonezilla 2.3.7-70

=== debian/changelog ===
clonezilla (2.3.7-70) unstable; urgency=low

  * Minor prompt update in ocs-resize-part.
  * Minor note was added in ocs-live-hook-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Feb 2011 15:53:03 +0800

## clonezilla 2.3.7-71

=== debian/changelog ===
clonezilla (2.3.7-71) unstable; urgency=low

  * A mode "check" was added in get_existing_partitions_from_img of ocs-functions.
  * Program ocs-chkimg was added. It can be used to check the image of Clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Feb 2011 13:02:20 +0800

## clonezilla 2.3.8-2

=== debian/changelog ===
clonezilla (2.3.8-2) unstable; urgency=low

  * A variable typo fixed in ocs-chkimg.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Feb 2011 12:31:11 +0800

clonezilla (2.3.8-1) unstable; urgency=low

  * When an image is saved, an option to run ocs-chkimg was added.
  * An option to check if the image is restorable was added in the wizard.
  * The image time info format shown on the dialog menu is improved.
  * 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Feb 2011 12:21:42 +0800

## clonezilla 2.3.8-3

=== debian/changelog ===
clonezilla (2.3.8-3) unstable; urgency=low

  * The name of the cheked image is shown after the image is checked.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Feb 2011 13:34:53 +0800

## clonezilla 2.3.8-4

=== debian/changelog ===
clonezilla (2.3.8-4) unstable; urgency=low

  * A prompt was added, and it is about not checking swap info when the image is for a whole disk in ocs-chkimg.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Feb 2011 15:45:15 +0800

## clonezilla 2.3.8-5

=== debian/changelog ===
clonezilla (2.3.8-5) unstable; urgency=low

  * Bug fixed: Cannot skip "Check image" was fixed. Thanks to nj-dude for reporting this bug.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Feb 2011 13:09:50 +0800

## clonezilla 2.3.8-8

=== debian/changelog ===
clonezilla (2.3.8-8) unstable; urgency=low

  * Bug fixed: ocs-get-part-info failed to remove temp file in /tmp.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Feb 2011 09:29:37 +0800

clonezilla (2.3.8-7) unstable; urgency=low

  * Program gdisk was used to save and restore GPT partition table.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Feb 2011 23:01:22 +0800

clonezilla (2.3.8-6) unstable; urgency=low

  * ocs-chnthn and ocs-chnthn-functions were improved by Ceasar Sun.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Feb 2011 10:57:06 +0800

## clonezilla 2.3.8-10

=== debian/changelog ===
clonezilla (2.3.8-10) unstable; urgency=low

  * Option "-batch" instead of "-b" in ocs-sr and ocs-onthefly is used by default. This will avoid the problem when using in the boot prameters, init will honor it.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Mar 2011 11:38:55 +0800

clonezilla (2.3.8-9) unstable; urgency=low

  * Package xserver-xorg was listed as a must in create-gparted-live.
  * Bug fixed: a workaround was added to make setxkbmap work.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Feb 2011 13:12:57 +0800

## clonezilla 2.3.8-11

=== debian/changelog ===
clonezilla (2.3.8-11) unstable; urgency=low

  * By default, sgdisk is used for GPT in ocs-onthefly.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Mar 2011 16:38:53 +0800

## clonezilla 2.3.8-15

=== debian/changelog ===
clonezilla (2.3.8-15) unstable; urgency=low

  * Package mkswap-uuid was removed from Requires. Since modern mkswap has supported that.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Mar 2011 14:15:19 +0800

clonezilla (2.3.8-14) unstable; urgency=low

  * Recompiled, sync the deb and rpm version number.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 Mar 2011 16:34:16 +0800

## clonezilla 2.3.8-16

=== debian/changelog ===
clonezilla (2.3.8-16) unstable; urgency=low

  * The mechanism to inform kernel the partition table change was improved. This makes the FreeBSD slices restoring work.
  * Program get-latest-ocs-live-ver was improved to sort and get only one output.
  * The function get_part_id_from_sf_format was added in ocs-functions.
  * Program ocs-chkimg was improved to skip checking VMware VMKCORE partition, since there is no need to do that, and the false alarm can be ignored.
  * Some of the settings of ocs-onthefly were moved to drbl-ocs.conf.
  * By default we use partclone.dd to replace dd in ocs now. A flag was added in drbl-ocs.conf so it can be switched easily.
  
 -- Steven Shiau <steven@nchc.org.tw>  Fri, 11 Mar 2011 23:44:46 +0800

## clonezilla 2.3.8-17

=== debian/changelog ===
clonezilla (2.3.8-17) unstable; urgency=low

  * The function get_bsd_swap_slice was added in ocs-functions.
  * Program ocs-chkimg will skip checking BSD swap slice, since there is no need to do that, and the false alarm can be ignored.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Mar 2011 09:08:29 +0800

## clonezilla 2.3.8-18

=== debian/changelog ===
clonezilla (2.3.8-18) unstable; urgency=low

  * Typo fixed: -uS instead of -us for sfdisk in function get_bsd_swap_slice.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Mar 2011 09:23:36 +0800

## clonezilla 2.3.8-22

=== debian/changelog ===
clonezilla (2.3.8-22) unstable; urgency=low

  * The existing image dir will only be removed after the first confirmation, not before it.
  * Bug fixed: the grep segfault when checking unknown file system if supported by partclone.
  * Perl temp file (e.g. .nfs0000000096af2bf70000000f) exists in image dir is avoided.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Mar 2011 14:58:31 +0800

clonezilla (2.3.8-21) unstable; urgency=low

  * Function get_bsd_swap_partition in ocs-functions was improved to process multiple BSD slices.
  * The partitions list are not sorted any more in the function get_known_partition_proc_format in ocs-functions.
  * Program ocs-get-part-info was improved to tell ufs partition and BSD slice.
  * Program dd is used to save BSD slice info. This will avoid duplicating save for BSD slice and the 1st partition inside it.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Mar 2011 10:59:10 +0800

clonezilla (2.3.8-20) unstable; urgency=low

  * Typo fixed: The term "slice" and "partition" of BSD system in ocs-functions and ocs-chkimg were not used correctly.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Mar 2011 22:53:21 +0800

clonezilla (2.3.8-19) unstable; urgency=low

  * The mechanism to skip the vmkcore of BSD swap slice was improved.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 13 Mar 2011 11:29:22 +0800

## clonezilla 2.3.8-24

=== debian/changelog ===
clonezilla (2.3.8-24) unstable; urgency=low

  * Revert to use boot parameter "nomodeset", otherwise KMS will take effect, and the framebuffer mode parameter (vga=788...) will be ended. Thanks to NJ_Dude for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Mar 2011 17:56:38 +0800

clonezilla (2.3.8-23) unstable; urgency=low

  * The default boot parameter "nomodeset" was removed from Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 25 Mar 2011 06:24:02 +0800

## clonezilla 2.3.8-25

=== debian/changelog ===
clonezilla (2.3.8-25) unstable; urgency=low

  * "Requires" in clonezilla.spec file was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 02 Apr 2011 23:35:34 +0800

## clonezilla 2.3.8-28

=== debian/changelog ===
clonezilla (2.3.8-28) unstable; urgency=low

  * A typo (Mouting) in prep-ocsroot was fixed.
  * Required hal service was removed from "start-drbl-live" and "stop-drbl-live" in drbl-live. Since now hal is no more a service.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Apr 2011 10:17:57 +0800

clonezilla (2.3.8-27) unstable; urgency=low

  * Either portmap or rpcbind service will be started in prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Apr 2011 22:06:42 +0800

clonezilla (2.3.8-26) unstable; urgency=low

  * "Requires" in clonezilla.spec file was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 Apr 2011 20:53:39 +0800

## clonezilla 2.3.8-30

=== debian/changelog ===
clonezilla (2.3.8-30) unstable; urgency=low

  * "noac" was added in udhcpc-post and init.drbl for DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Apr 2011 22:32:40 +0800

clonezilla (2.3.8-29) unstable; urgency=low

  * Package mlterm was replaced by xfce4-terminal in create-drbl-live-by-pkg.
  * "noac" wad added to workaround the unfs3 "Stale NFS file handle" in DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Apr 2011 18:29:18 +0800

## clonezilla 2.3.8-31

=== debian/changelog ===
clonezilla (2.3.8-31) unstable; urgency=low

  * "nofsc" instead of "noac" was used for DRBL live clients.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Apr 2011 22:39:41 +0800

## clonezilla 2.3.8-32

=== debian/changelog ===
clonezilla (2.3.8-32) unstable; urgency=low

  * The sigle service in /etc/rc1.d of Debian DRBL clients is force to S99single.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 17 Apr 2011 15:59:39 +0800

## clonezilla 2.3.9-1drbl

=== debian/changelog ===
clonezilla (2.3.9-1drbl) unstable; urgency=low

  * New upstream tarball naming.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Apr 2011 15:33:53 +0800

## clonezilla 2.3.10-1drbl

=== debian/changelog ===
clonezilla (2.3.10-1drbl) unstable; urgency=low

  * NFS option "nofsc" was removed from drbl live, since it does not solve the "Stale NFS file handle" issue in drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Apr 2011 16:47:13 +0800

## clonezilla 2.3.11-1drbl

=== debian/changelog ===
clonezilla (2.3.11-1drbl) unstable; urgency=low

  * Force to use LC_ALL=C in the mount command of prep-ocsroot. A workaround to avoid sshfs "Read: connection reset by peer" or "remote host has disconnected" issue.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Apr 2011 18:08:26 +0800

## clonezilla 2.3.12-1drbl

=== debian/changelog ===
clonezilla (2.3.12-1drbl) unstable; urgency=low

  * The sigle service in /etc/rc1.d of Debian DRBL clients is force to S99single.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 13 Apr 2011 13:50:26 +0800

## clonezilla 2.3.13-1drbl

=== debian/changelog ===
clonezilla (2.3.13-1drbl) unstable; urgency=low

  * "insserv", if found, is used to remove service in ocs-live-hook-functions
  * "jfbterm" instead of "bterm" is used when asking language and keymap in DRBL live.
  * "unfs3" service should be removed in drbl live hook.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 Apr 2011 09:08:37 +0800

## clonezilla 2.3.14-1drbl

=== debian/changelog ===
clonezilla (2.3.14-1drbl) unstable; urgency=low

  * Bug fixed: failed to remove unfs3 service in drbl live hook.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 Apr 2011 10:16:51 +0800

## clonezilla 2.3.15-1drbl

=== debian/changelog ===
clonezilla (2.3.15-1drbl) unstable; urgency=low

  * "jfbterm" instead of "bterm" is used when asking VGA config in DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 Apr 2011 10:38:47 +0800

## clonezilla 2.3.16-1drbl

=== debian/changelog ===
clonezilla (2.3.16-1drbl) unstable; urgency=low

  * Put canonical_hostname_prep before check_portmap_nfs_common_daemon is run in prep-ocsroot, otherwise the rpcbind and unfs3 won't work correctly.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 Apr 2011 14:53:34 +0800

## clonezilla 2.3.17-1drb1

=== debian/changelog ===
clonezilla (2.3.17-1drb1) unstable; urgency=low

  * An workaround was added to make unfs3 work with nfs-common which is started first in drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 Apr 2011 16:24:50 +0800

## clonezilla 2.3.18-1drbl

=== debian/changelog ===
clonezilla (2.3.18-1drbl) unstable; urgency=low

  * "toram=filesystem.squashfs" was added for locales menu in ocs-live-boot-menu.
  * The "gPXE" part is replaced by "iPXE".
  * A better method to download unifont.bgf was implemented in ocs-live-hook.
  * The grub2 boot loader for EFI was added.
  * "unifont.bgf" part in create-gparted-live was removed, since we do not use it anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Apr 2011 09:00:18 +0800

clonezilla (2.3.17-1drbl) unstable; urgency=low

  * An workaround was added to make unfs3 work with nfs-common which is started first in drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 Apr 2011 16:24:50 +0800

## clonezilla 2.3.19-1drbl

=== debian/changelog ===
clonezilla (2.3.19-1drbl) unstable; urgency=low

  * Bug fixed: EFI/BOOT should not be inside filesystem.squashfs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Apr 2011 15:13:47 +0800

## clonezilla 2.3.20-1drbl

=== debian/changelog ===
clonezilla (2.3.20-1drbl) unstable; urgency=low

  * EFI is included in the Clonezilla live now.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Apr 2011 15:59:40 +0800

## clonezilla 2.3.21-1drbl

=== debian/changelog ===
clonezilla (2.3.21-1drbl) unstable; urgency=low

  * "png" module was added for grub EFI boot loader.
  * Rename the dir /EFI/BOOT/ as /EFI/boot/, and add the grub efi config file grub.cfg.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Apr 2011 21:55:42 +0800

## clonezilla 2.3.22-1drbl

=== debian/changelog ===
clonezilla (2.3.22-1drbl) unstable; urgency=low

  * Disable the background photo for grub efi in Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Apr 2011 22:18:20 +0800

## clonezilla 2.3.23-1drbl

=== debian/changelog ===
clonezilla (2.3.23-1drbl) unstable; urgency=low

  * "ntfs" module was added for grub EFI boot loader.
  * When an empty bootia32.efi or bootx64.efi is created, it should be removed.
  * Only grub.cfg will be used for EFI booting, no more bootia32.conf and bootx86.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Apr 2011 21:03:03 +0800

## clonezilla 2.3.24-1drbl

=== debian/changelog ===
clonezilla (2.3.24-1drbl) unstable; urgency=low

  * Bug fixed: no grub.cfg was created.
  * 

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Apr 2011 22:09:39 +0800

## clonezilla 2.3.26-1drbl

=== debian/changelog ===
clonezilla (2.3.26-1drbl) unstable; urgency=low

  * The pre-run and post-run of Clonezilla live were moved from the service in rc2.d to the shell after login. This would allow interactive command work (e.g. sshfs mount with password input).

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 Apr 2011 20:58:08 +0800

clonezilla (2.3.25-1drbl) unstable; urgency=low

  * Since the issue of "hang on exit" of jfbterm has been fixed, we turn on jfbterm in Ubuntu-based Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 Apr 2011 22:52:13 +0800

## clonezilla 2.3.27-1drbl

=== debian/changelog ===
clonezilla (2.3.27-1drbl) unstable; urgency=low

  * Suppress the error messages if no K* service in stop-drbl-live and stop-ocs-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 Apr 2011 22:56:53 +0800

## clonezilla 2.3.28-1drbl

=== debian/changelog ===
clonezilla (2.3.28-1drbl) unstable; urgency=low

  * To avoid the postrun won't be run, "set -e" was removed in ocs-live-run-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Apr 2011 09:36:31 +0800

## clonezilla 2.3.29-1drbl

=== debian/changelog ===
clonezilla (2.3.29-1drbl) unstable; urgency=low

  * Function parse_cmdline_option of gl-functions was updated to allow "@" because it is required by sshfs.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Apr 2011 13:29:43 +0800

## clonezilla 2.3.30-1drbl

=== debian/changelog ===
clonezilla (2.3.30-1drbl) unstable; urgency=low

  * Bug fixed: The last action in live-config is umountfs, not login in live-config 2.0.15-drbl1. Therefore /etc/ocs/ocs-live.d/S00ocs-start was modified (Ubuntu-based Clonezilla live).
  * Bug fixed: halt should not be run before live-boot in Ubuntu-based Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Apr 2011 10:16:33 +0800

## clonezilla 2.3.31-1drbl

=== debian/changelog ===
clonezilla (2.3.31-1drbl) unstable; urgency=low

  * Output messages of ocs-chkimg were improved with the image name shown.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 02 May 2011 16:32:09 +0800

## clonezilla 2.3.32-1drbl

=== debian/changelog ===
clonezilla (2.3.32-1drbl) unstable; urgency=low

  * ocs-sr --help will show some more options about saving an image. (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3295392&group_id=115473).

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 03 May 2011 10:29:11 +0800

## clonezilla 2.3.34-1drbl

=== debian/changelog ===
clonezilla (2.3.34-1drbl) unstable; urgency=low

  * Use live-boot instead of live-initramfs for lb_config in create-(debian|drbl|gparted|ubuntu)-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 04 May 2011 21:25:39 +0800

clonezilla (2.3.33-1drbl) unstable; urgency=low

  * Put wheezy in create-(debian|drbl|gparted)-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 04 May 2011 18:27:26 +0800

## clonezilla 2.3.35-1drbl

=== debian/changelog ===
clonezilla (2.3.35-1drbl) unstable; urgency=low

  * Reverted to use live-initramfs, not live-boot, in lb_config of create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 04 May 2011 22:41:07 +0800

## clonezilla 2.3.36-1drbl

=== debian/changelog ===
clonezilla (2.3.36-1drbl) unstable; urgency=low

  * The syslinux.exe should be the same version with that in isolinux in Clonezilla|DRBL|GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 06 May 2011 14:36:31 +0800

## clonezilla 2.3.37-1drbl

=== debian/changelog ===
clonezilla (2.3.37-1drbl) unstable; urgency=low

  * Package ssh added in create-gparted-live.
  * Put wheezy in ocs-functions for create-*-live.
  * The tmp dir /tmp/ocs-iso.* will be cleaned after use.
  * Program create-debian-live was improved so that the amd64 image can be created on an i386 Debian server, and vice versa.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 May 2011 17:07:34 +0800

## clonezilla 2.3.38-1drbl

=== debian/changelog ===
clonezilla (2.3.38-1drbl) unstable; urgency=low

  * The option "-comp xz -Xbcj x86" was used for mksquashfs when creating Natty-based Clonezilla live. This will make the Clonezilla live iso or zip file smaller by ~ 33 MB.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 May 2011 22:59:40 +0800

## clonezilla 2.3.39-1drbl

=== debian/changelog ===
clonezilla (2.3.39-1drbl) unstable; urgency=low

  * When kernel supports XZ initrd, we use it in Clonezilla/DRBL/GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 May 2011 12:48:26 +0800

## clonezilla 2.3.40-1drbl

=== debian/changelog ===
clonezilla (2.3.40-1drbl) unstable; urgency=low

  * Use XZ initrd for DRBL and GParted live, too.
  * Mlterm was replaced by lxterminal in GParted live, since lxterminal is smaller, and be used in many distributions.
  * Ssh service in GParted live is off by default.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 May 2011 11:38:56 +0800

## clonezilla 2.3.41-1drbl

=== debian/changelog ===
clonezilla (2.3.41-1drbl) unstable; urgency=low

  * Bug fixed: syslinux/isolinux files did not exist in /opt/drbl/pkg/syslinux, and this made recovery-iso-zip fail. Thanks to cbeazer for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 May 2011 22:38:00 +0800

## clonezilla 2.3.42-1drbl

=== debian/changelog ===
clonezilla (2.3.42-1drbl) unstable; urgency=low

  * Suppress the error messages when removing /live/image dir. In some cases it should not be removed.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 24 May 2011 15:29:06 +0800

## clonezilla 2.3.43-1drbl

=== debian/changelog ===
clonezilla (2.3.43-1drbl) unstable; urgency=low

  * "nomodeset" was added in the ocs-live-boot-menu for vga=normal. It's a must otherwise if KMS is on, vga=normal is useless.
  * Package "partimage" was removed from the package list in create-gparted-live. The option "-k" of create-gparted-live can be used to add the packages.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 24 May 2011 18:22:59 +0800

## clonezilla 2.3.44-1drbl

=== debian/changelog ===
clonezilla (2.3.44-1drbl) unstable; urgency=low

  * Bug fixed: create-drbl-live syntax error.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 May 2011 21:54:14 +0800

## clonezilla 2.3.45-1drbl

=== debian/changelog ===
clonezilla (2.3.45-1drbl) unstable; urgency=low

  * Source files list in /var/lib/apt/lists will be removed when clonezilla/drbl/gparted live is created.
  * Program create-gparted-live will create EFI booting files, too. 
  * An option (-o|--create-source-tarball) was added to create-(debian|drbl|gparted-live).

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 30 May 2011 14:02:56 +0800

## clonezilla 2.3.46-1drbl

=== debian/changelog ===
clonezilla (2.3.46-1drbl) unstable; urgency=low

  * An option (-o|--create-source-tarball) was added to create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 30 May 2011 14:50:09 +0800

## clonezilla 2.3.47-1drbl

=== debian/changelog ===
clonezilla (2.3.47-1drbl) unstable; urgency=low

  * Program prep-ocsroot was improved to make mounting cifs and sshfs with an account name including white space.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Jun 2011 16:34:25 +0800

## clonezilla 2.3.48-1drbl

=== debian/changelog ===
clonezilla (2.3.48-1drbl) unstable; urgency=low

  * Enable XZ compression for filesystem.squashfs.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Jun 2011 08:57:22 +0800

## clonezilla 2.3.49-1drbl

=== debian/changelog ===
clonezilla (2.3.49-1drbl) unstable; urgency=low

  * Big fixed: after start over in Clonezilla live, nfs mount won't work.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Jun 2011 10:45:24 +0800

## clonezilla 2.3.50-1drb1

=== debian/changelog ===
clonezilla (2.3.50-1drb1) unstable; urgency=low

  * Language file pt_BR was added, so the corresponding parts were updated. Thanks to Marcos Pereira da Silva Cruz <marcospcruz _at_ gmail com>.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Jun 2011 09:47:36 +0800

## clonezilla 2.3.51-1drb1

=== debian/changelog ===
clonezilla (2.3.51-1drb1) unstable; urgency=low

  * Force to use LC_ALL=C when chroot to run grub-install.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Jun 2011 04:24:18 +0800

## clonezilla 2.3.52-1drb1

=== debian/changelog ===
clonezilla (2.3.52-1drb1) unstable; urgency=low

  * A beter method was implemented to check the exit status of sfdisk. Otherwise if the partition table creation goes wrong, the program won't stop.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Jun 2011 06:22:13 +0800

## clonezilla 2.3.53-1drb1

=== debian/changelog ===
clonezilla (2.3.53-1drb1) unstable; urgency=low

  * Improve the sfdisk failure process.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Jun 2011 00:12:50 +0800

## clonezilla 2.3.54-1drb1

=== debian/changelog ===
clonezilla (2.3.54-1drb1) unstable; urgency=low

  * Remove the option "-b1024" for pbzip2 since the unit is 100K, -b1024 will use 1024*100K per thread, and this might cause system to crash due to out of memory for multiple cores. Without the option -b, the default value will be used. Thanks to Telligent for the bug report (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3324096&group_id=115473).

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Jun 2011 01:44:45 +0800

## clonezilla 2.3.55-1drbl

=== debian/changelog ===
clonezilla (2.3.55-1drbl) unstable; urgency=low

  * The URL for GParted project was updated to be "http://gparted.org".

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Jul 2011 13:32:30 +0800

## clonezilla 2.3.56-1drbl

=== debian/changelog ===
clonezilla (2.3.56-1drbl) unstable; urgency=low

  * Program create-ubuntu-live supports Oneiric now.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 Jul 2011 08:27:52 +0800

## clonezilla 2.3.57-1drbl

=== debian/changelog ===
clonezilla (2.3.57-1drbl) unstable; urgency=low

  * Bug fixed: sgdisk failed to reload a GPT table if no inital GPT table on a new disk.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 Jul 2011 22:05:11 +0800

## clonezilla 2.3.58-1drb1

=== debian/changelog ===
clonezilla (2.3.58-1drb1) unstable; urgency=low

  * German language files were added. Thanks to Michael Vinzenz <michael.vinzenz _at_ scalaris com>.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Aug 2011 21:46:00 +0800

=== debian/control ===
Source: clonezilla
Section: misc
Priority: optional
Maintainer: Steven Shiau <steven@nchc.org.tw>
Build-Depends: debhelper (>= 7.0.15)
Build-Depends-Indep:
Standards-Version: 3.8.3
Homepage: http://clonezilla.org/

Package: clonezilla
Architecture: all
Depends: ${misc:Depends}, perl, bash
Recommends:
Suggests:
Description: A partition or disk cloning tool
 Clonezilla, based on DRBL, Partition Image, ntfsclone, partclone, and udpcast, allows you to do bare metal backup and recovery. Two types of Clonezilla are available, Clonezilla live and Clonezilla SE (Server Edition). Clonezilla live is suitable for single machine backup and restore. While Clonezilla SE is for massive deployment, it can clone many (40 plus!) computers simultaneously.
 .
 For more info, check http://clonezilla.org, http://clonezilla.nchc.org.tw.

## clonezilla 2.3.59-1drbl

=== debian/changelog ===
clonezilla (2.3.59-1drbl) unstable; urgency=low

  * Option "-icrc, --icrc" was added in the usage manual of ocs-sr.
  * Option "-irhr, --irhr" was added. This option allows us to skip removing udev hardware record after an image is restored.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 31 Aug 2011 16:46:27 +0800

clonezilla (2.3.58-1drbl) unstable; urgency=low

  * German language files were added. Thanks to Michael Vinzenz <michael.vinzenz _at_ scalaris com>.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Aug 2011 21:46:00 +0800

## clonezilla 2.3.60-1drbl

=== debian/changelog ===
clonezilla (2.3.60-1drbl) unstable; urgency=low

  * More prompts were added about removing udev hardware record.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 31 Aug 2011 16:59:16 +0800

## clonezilla 2.3.61-1drbl

=== debian/changelog ===
clonezilla (2.3.61-1drbl) unstable; urgency=low

  * More prompts were added about removing Linux udev hardware record.
  * Option "-irhr, --irhr" was added in ocs-onthefly. This option allows us to skip removing Linux udev hardware record after a disk is cloned.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 31 Aug 2011 22:24:38 +0800

## clonezilla 2.3.62-1drbl

=== debian/changelog ===
clonezilla (2.3.62-1drbl) unstable; urgency=low

  * Function parse_cmdline_option in gl-functions was improved to accept the /proc/cmdline parsed by grub2 1.99. Now it works for 3 cases in /proc/cmdline: E.g. (1) ocs_prerun="sleep 5" (2) ocs_prerun=\"sleep 5\" and (3) "ocs_prerun=sleep 5".

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 08 Sep 2011 18:10:53 +0800

## clonezilla 2.3.63-1drbl

=== debian/changelog ===
clonezilla (2.3.63-1drbl) unstable; urgency=low

  * Bug fixed: Function parse_cmdline_option in gl-functions was improved. Make the parsing for gl_lang="" correct.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Sep 2011 11:37:17 +0800

## clonezilla 2.3.64-1drbl

=== debian/changelog ===
clonezilla (2.3.64-1drbl) unstable; urgency=low

  * Version sorting for partitions list will be used if supported in ocs-tux-postprocess.
  * Bug fixed: ocs-expand-mbr-pt failed to deal with partition number larger than 10, and the calculation to expand logical drivers was wrong.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Oct 2011 21:52:06 +0800

## clonezilla 2.3.65-1drbl

=== debian/changelog ===
clonezilla (2.3.65-1drbl) unstable; urgency=low

  * The prompt about not to expand the "system reserved partition" is highlighted in ocs-expand-mbr-pt.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Oct 2011 22:13:46 +0800

## clonezilla 2.3.67-1drbl

=== debian/changelog ===
clonezilla (2.3.67-1drbl) unstable; urgency=low

  * The nfs version 3 option will be specific in prep-ocsroot when mounting a NFS2/3 server. Thanks to darstra for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 12 Oct 2011 22:52:04 +0800

clonezilla (2.3.66-1drbl) unstable; urgency=low

  * A typo in the comment of ocs-live-general was fixed.
  * Option "-r" was on by default in ocs-onthefly.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Oct 2011 15:44:47 +0800

## clonezilla 2.3.68-1drbl

=== debian/changelog ===
clonezilla (2.3.68-1drbl) unstable; urgency=low

  * Program ocs-gen-grub2-efi-bldr was improved to make the bootia32.efi/bootx64.efi work with the partition table of MBR instead of only GPT.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Oct 2011 16:14:25 +0800

## clonezilla 2.3.69-1drbl

=== debian/changelog ===
clonezilla (2.3.69-1drbl) unstable; urgency=low

  * Wallpaper image was added in the EFI grub2 boot menu.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Oct 2011 13:27:50 +0800

## clonezilla 2.3.70-1drbl

=== debian/changelog ===
clonezilla (2.3.70-1drbl) unstable; urgency=low

  * Wallpaper image was added in the EFI grub2 boot menu of GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Oct 2011 14:39:42 +0800

## clonezilla 2.3.71-1drbl

=== debian/changelog ===
clonezilla (2.3.71-1drbl) unstable; urgency=low

  * Bug fixed: grub.cfg and wallpaper image were not included in the iso version of GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Oct 2011 16:21:14 +0800

## clonezilla 2.3.72-1drbl

=== debian/changelog ===
clonezilla (2.3.72-1drbl) unstable; urgency=low

  * Program gl-gen-grub2-efi-bldr was improved to make the bootia32.efi/bootx64.efi work with the partition table of MBR instead of only GPT.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Oct 2011 16:55:38 +0800

## clonezilla 2.3.73-1drbl

=== debian/changelog ===
clonezilla (2.3.73-1drbl) unstable; urgency=low

  * Package cpufrequtils was added in GParted live packages list.
  * The volume name of DOS and NTFS partition will be shown before restoring. Thanks to LittleLight Lee <littlelight _at_ gmail com> for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Oct 2011 11:15:34 +0800

## clonezilla 2.3.74-1drbl

=== debian/changelog ===
clonezilla (2.3.74-1drbl) unstable; urgency=low

  * Set grub_prefux as "/EFI/boot" when running grub-mkimage in program ocs-gen-grub2-efi-bldr. Grub2 module "gfxterm" was added, too.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Oct 2011 22:16:01 +0800

## clonezilla 2.3.75-1drbl

=== debian/changelog ===
clonezilla (2.3.75-1drbl) unstable; urgency=low

  * The required files of grub2, e.g. fonts file, will also be copied to /EFI/boot in ocs-gen-grub2-efi-bldr.
  * The grub.cfg for EFI booting was improved.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Oct 2011 15:58:24 +0800

## clonezilla 2.3.76-1drbl

=== debian/changelog ===
clonezilla (2.3.76-1drbl) unstable; urgency=low

  * Bug fixed: dialog failed when volume name containing a white space.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Oct 2011 18:26:14 +0800

## clonezilla 2.3.77-1drbl

=== debian/changelog ===
clonezilla (2.3.77-1drbl) unstable; urgency=low

  * Give warning color (yellow) instead of error color (red) when destination disk is the same as source one in cnvt-ocs-dev.
  * A program (restore-mdisks) to restore an image to multiple destination disks were added.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Oct 2011 14:34:58 +0800

## clonezilla 2.4.1-1drbl

=== debian/changelog ===
clonezilla (2.4.1-1drbl) unstable; urgency=low

  * Improvement: now we can assign the parameters of ocs-sr in ocs-restore-mdisks.
  * The mode "1-2-mdisks" (one image to be restored to multiple disks) was added in Clonezilla main menu.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Oct 2011 18:36:35 +0800

## clonezilla 2.4.2-1drbl

=== debian/changelog ===
clonezilla (2.4.2-1drbl) unstable; urgency=low

  * Put "wait" command in the end of ocs-restore-mdisks so it won't enter shell before the jobs are done.
  * The converted images by ocs-restore-mdisks are put in /tmp/.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Oct 2011 21:08:32 +0800

## clonezilla 2.4.3-1drbl

=== debian/changelog ===
clonezilla (2.4.3-1drbl) unstable; urgency=low

  * Function confirm_continue_no_default_answer was added in ocs-functions.
  * No default answer to continue in ocs-restore-mdisks.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Oct 2011 22:14:09 +0800

## clonezilla 2.4.4-1drbl

=== debian/changelog ===
clonezilla (2.4.4-1drbl) unstable; urgency=low

  * Reuse confirm_continue_no_default_answer in ocs-functions.
  * Prompt was updated in ocs-restore-mdisks.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Oct 2011 22:39:25 +0800

## clonezilla 2.4.5-1drbl

=== debian/changelog ===
clonezilla (2.4.5-1drbl) unstable; urgency=low

  * The rerun commands will be saved as a script in /tmp/ when running ocs-restore-mdisks.
  * Bug fixed: ocs_user_mode should not be asked twice in ocs-sr -> 1-2-mdisks.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Oct 2011 23:02:28 +0800

## clonezilla 2.4.6-1drbl

=== debian/changelog ===
clonezilla (2.4.6-1drbl) unstable; urgency=low

  * Function get_part_vol_name should show nothing when no file system on a partition. No any error or warning message should be shown in stdin. 
  * Prompt to insert USB device in the beginning of ocs-restore-mdisks.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Oct 2011 13:36:44 +0800

## clonezilla 2.4.7-1drbl

=== debian/changelog ===
clonezilla (2.4.7-1drbl) unstable; urgency=low

  * A function check_if_any_image_exists was added in ocs-functions to identify the clonezilla image. It's used to ocs-sr.
  * A file "clonezilla-img" to tag an Clonezilla image was added in the image dir.
  * Restore related menu, i.e. restoredisk and restoreparts, will only be shown when images exists in image repository.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Oct 2011 22:17:04 +0800

## clonezilla 2.4.8-1drbl

=== debian/changelog ===
clonezilla (2.4.8-1drbl) unstable; urgency=low

  * A better prompt about destination disks info was added in ocs-restore-mdisks.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Oct 2011 22:18:09 +0800

## clonezilla 2.4.9-1drbl

=== debian/changelog ===
clonezilla (2.4.9-1drbl) unstable; urgency=low

  * The "ask_user" option was added in the prompt in recovery-iso-zip dialogs.
  * Btrfs file system resize was added in ocs-resize-part.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Oct 2011 08:58:15 +0800

## clonezilla 2.4.10-1drbl

=== debian/changelog ===
clonezilla (2.4.10-1drbl) unstable; urgency=low

  * Program opoen-iscsi was added in GParted live.
  * Timezone info will be shown in the file "clonezilla-img" in the image dir.
  * The option -fsck-src-part will be prompted when saving, no matter it's beginner or expert mode.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 31 Oct 2011 22:32:19 +0800

## clonezilla 2.4.11-1drbl

=== debian/changelog ===
clonezilla (2.4.11-1drbl) unstable; urgency=low

  * Minor update in the output messages in ocs-functions.
  * The deprecated icon "info" on GParted live desktop was removed.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Nov 2011 18:34:31 +0800

## clonezilla 2.4.12-1drbl

=== debian/changelog ===
clonezilla (2.4.12-1drbl) unstable; urgency=low

  * Keep the good distance between grandr icon and GParted icon on GParted live desktop.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Nov 2011 22:04:56 +0800

## clonezilla 2.4.13-1drbl

=== debian/changelog ===
clonezilla (2.4.13-1drbl) unstable; urgency=low

  * Deprecated files gl-win and gl-info of GParted live were removed. Ref: https://bugzilla.gnome.org/show_bug.cgi?id=662726
  * Package dillo was added for GParted live. Ref: https://bugzilla.gnome.org/show_bug.cgi?id=662723
  * Use 2 as the gap sectors in ocs-expand-mbr-pt. Otherwise the option "-k1" of clonezilla might create a wrong partition table.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Nov 2011 22:53:02 +0800

## clonezilla 2.4.14-1drbl

=== debian/changelog ===
clonezilla (2.4.14-1drbl) unstable; urgency=low

  * Use function get_sort_V_opt in ocs-tux-postprocess.
  * A program "ocs-update-syslinux" to update syslinux and its related files on a FAT partition was added.
  * An option "-ius|--ius" was added to ocs-sr and ocs-onthefly so that we can skip updating syslinux after restoring. By default it will be done if a FAT partition with ldlinux.sys is found.
  * The option to fsck the source partition will be shown in beginner mode of ocs-onthefly.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Nov 2011 10:53:12 +0800

## clonezilla 2.4.15-1drbl

=== debian/changelog ===
clonezilla (2.4.15-1drbl) unstable; urgency=low

  *- The output log for each disk creating will be in /tmp/ when running ocs-restore-mdisks.
  *- By default we do not separate fdisk actions in ocs-restore-mdisks.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Nov 2011 11:21:10 +0800

## clonezilla 2.4.16-1drbl

=== debian/changelog ===
clonezilla (2.4.16-1drbl) unstable; urgency=low

  * Before creating partition table on the destination disk, Clonezilla will check if the size is big enough. If not, quit.
  * Besides the *.c32 and *.bin files, those *.com and memdisk will be updated by ocs-update-syslinux.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Nov 2011 23:10:26 +0800

## clonezilla 2.4.17-1drbl

=== debian/changelog ===
clonezilla (2.4.17-1drbl) unstable; urgency=low

  * Parameter job_before_quit was added for functions confirm_continue_no_default_answer and confirm_continue_or_default_quit in ocs-functions.
  * Program ocs-onthefly was improved to give better info before starting cloning and repartitioning the disk. 
  * An option "-pa|--postaction" was added to ocs-onthefly so it could be assigned to reboot or shutdown the machine after cloning. Thanks to flyfoxuk for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Nov 2011 10:33:45 +0800

## clonezilla 2.4.18-1drbl

=== debian/changelog ===
clonezilla (2.4.18-1drbl) unstable; urgency=low

  * Program ocs-onthefly was improved to make the destination disk info more clear.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Nov 2011 16:56:53 +0800

## clonezilla 2.4.19-1drbl

=== debian/changelog ===
clonezilla (2.4.19-1drbl) unstable; urgency=low

  * Option -z7|--lrzip-compress was added for Clonezilla to use lrzip to compress image.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 30 Nov 2011 15:00:59 +0800

## clonezilla 2.4.20-1drbl

=== debian/changelog ===
clonezilla (2.4.20-1drbl) unstable; urgency=low

  * The font color of grub2 for Clonezilla live was changed.
  * Bug fixed: the option "-g auto" failed for restored OS Fedora 16 has been fixed. It's due to different grub2 boot dir (/boot/grub2 instead of /boot/grub).
  * Switch to include grub-pc (grub2) instead of grub-legacy (grub1) for Debian-based Clonezilla/DRBL/GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 03 Dec 2011 22:28:52 +0800

## clonezilla 2.4.21-1drbl

=== debian/changelog ===
clonezilla (2.4.21-1drbl) unstable; urgency=low

  * Package grandr was replaced by lxrandr since it's no more in Debian repository for i386.
  * An icon on desktop for dillo was added for GParted live.
  * Package netbase was added in GParted live.
  * The fluxbox menu for GParted live was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 17 Dec 2011 10:23:39 +0800

## clonezilla 2.4.22-1drbl

=== debian/changelog ===
clonezilla (2.4.22-1drbl) unstable; urgency=low

  * File grandr.xpm was renamed as lxrandr.xpm.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 18 Dec 2011 14:39:59 +0800

## clonezilla 2.4.23-1drbl

=== debian/changelog ===
clonezilla (2.4.23-1drbl) unstable; urgency=low

  * Files gl-mountstick.sh, resize-windows.txt and gl-packages were removed since they are not used in GParted live anymore.
  * Packages pppoeconf, ethtool, whiptail and lshw were added for GParted live.
  * Program gl-live-netcfg was added to make it easier for users to configure network.
  * Minor improvement for ocs-live-netcfg.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Dec 2011 10:24:19 +0800

## clonezilla 2.4.24-1drbl

=== debian/changelog ===
clonezilla (2.4.24-1drbl) unstable; urgency=low

  * Bug fixed: some files were not copied to systems during gparted-live-hook.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Dec 2011 11:01:23 +0800

## clonezilla 2.4.26-1drbl

=== debian/changelog ===
clonezilla (2.4.26-1drbl) unstable; urgency=low

  * Bug fixed: if block should not be nothing in create-drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Dec 2011 14:11:18 +0800

clonezilla (2.4.25-1drbl) unstable; urgency=low

  * Bug fixed: no grub2 boot menu for EFI booting of DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Dec 2011 13:53:52 +0800

## clonezilla 2.4.27-1drbl

=== debian/changelog ===
clonezilla (2.4.27-1drbl) unstable; urgency=low

  * Package grandr was replaced by lxrandr in DRBL live since it's no more in Debian repository for i386.
  * If xfce4 display setting program is found in DRBL live, use it for desktop icon app instead of lxrandr.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Dec 2011 15:49:27 +0800

## clonezilla 2.4.28-1drbl

=== debian/changelog ===
clonezilla (2.4.28-1drbl) unstable; urgency=low

  * Bug fixed: grub2 boot menu background for EFI booting of DRBL live was added.
  * Minor typo fixed when restoring an image.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Dec 2011 08:52:26 +0800

## clonezilla 2.4.29-1drbl

=== debian/changelog ===
clonezilla (2.4.29-1drbl) unstable; urgency=low

  * A better method to update syslinux related files on restored partition was implemented in ocs-update-syslinux. This should make the restored VMWare ESXi 5 bootable.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 22 Dec 2011 16:52:11 +0800

## clonezilla 2.4.30-1drbl

=== debian/changelog ===
clonezilla (2.4.30-1drbl) unstable; urgency=low

  * Minor update for the prompt message in ocs-update-syslinux.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 22 Dec 2011 17:03:51 +0800

## clonezilla 2.4.31-1drbl

=== debian/changelog ===
clonezilla (2.4.31-1drbl) unstable; urgency=low

  * Overlayfs was added as memory disk in prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 29 Dec 2011 10:08:37 +0800

## clonezilla 2.4.32-1drbl

=== debian/changelog ===
clonezilla (2.4.32-1drbl) unstable; urgency=low

  * Precise was added as a support version in create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 29 Dec 2011 10:45:02 +0800

## clonezilla 2.4.33-1drbl

=== debian/changelog ===
clonezilla (2.4.33-1drbl) unstable; urgency=low

  * An option to create source tarball was added in create-drbl-live-by-pkg.
  * Git was added in the packages list in create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Jan 2012 14:18:55 +0800

## clonezilla 2.4.34-1drbl

=== debian/changelog ===
clonezilla (2.4.34-1drbl) unstable; urgency=low

  * The mismatched GPT and MBR partition table on a disk will be detected.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Jan 2012 21:37:26 +0800

## clonezilla 2.4.35-1drbl

=== debian/changelog ===
clonezilla (2.4.35-1drbl) unstable; urgency=low

  * Make checking MBR/GPT partition table earlier in saveparts.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 11 Jan 2012 08:36:47 +0800

## clonezilla 2.4.36-1drbl

=== debian/changelog ===
clonezilla (2.4.36-1drbl) unstable; urgency=low

  * A better mechanism to deal with UFS partition in a GPT table when saving FreeBSD 9.0.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 14 Jan 2012 08:21:53 +0800

## clonezilla 2.4.37-1drbl

=== debian/changelog ===
clonezilla (2.4.37-1drbl) unstable; urgency=low

  * A better mechanism was implemented to keep the MS Windows boot reserved partition size when option "-k1" is chosed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Jan 2012 22:10:03 +0800

## clonezilla 2.5.1-1drbl

=== debian/changelog ===
clonezilla (2.5.1-1drbl) unstable; urgency=low

  * VMFS3 and VMFS5 support are separated, no more mixed because partclone.fstype from 0.2.45 now can tell them. Since vmfs5 support is still buggy, disable it in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 18 Jan 2012 23:09:35 +0800
